function SubjectListView(title) {
	var data = [];
	var QuestionDictionary;
   var subjectArray = ['Clinical-Systemic Disorders','Conduction Defects','Electrolyte disorders','Ischaemic Heart Disease','Supraventricular arrhythmias','Uncommon arrhythmias','Ventricular arrhythmias'];

	var rsultDictionary;
	var tempSemArraynew = [];
	var self = Ti.UI.createWindow({
		title : title,
		tabBarHidden : true,
		backgroundColor : 'white',
		//modal : true,
		navBarHidden : true

	});
	self.orientationModes = [Titanium.UI.PORTRAIT];
	getResult();

	function getResult() {
		var resultDict = {};
		tempSemArraynew = [];
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));
             
		for (var i = 0; i < subjectArray.length; i++) {
			
			if (questionStatusDictionary[subjectArray[i]]) {
				var questionArray = questionStatusDictionary[subjectArray[i]];

				var totalAnsweredCount = 0;
				var totalCorrectCount = 0;
				var totalQuestion;
				totalQuestion = questionArray.length;
			//	alert("totalQuestion" +questionArray.length);
				
				for (var j = 0; j < questionArray.length; j++) {
					if (questionArray[j].isAnswered) {
						totalAnsweredCount++;
					}

					if (questionArray[j].answerStatus) {
						totalCorrectCount++;
					}
				}

				var result = {};
				result["total"] = totalQuestion;
				result["Answered"] = totalAnsweredCount;
				result["Correct"] = totalCorrectCount;
				resultDict[subjectArray[i]] = result;
				resultResponseDict = JSON.parse(JSON.stringify(resultDict));

				if (resultResponseDict[subjectArray[i]].Answered > 0) {

					tempSemArraynew.push(Math.round((((resultResponseDict[subjectArray[i]].Answered) / (resultResponseDict[subjectArray[i]].total)) * 100)) + "%");
				} else {
					tempSemArraynew.push("0%");
				}

			}
		}

		//alert("resultDict >> " + resultResponseDict.length);

	}

	//Adding table
	//var subjectArray = ['Cardiovascular', 'Respiratory', 'Haematology', 'Digestive system', 'Renal', 'Reproduction', 'Endocrine', 'PNS', 'CNS'];

	// Header View for home screen
	//alert("resultResponseDict >> " + tempSemArraynew);
	var homeHeaderTitle = Titanium.UI.createLabel({
		text : "Subject List",
		color : 'white',
		font : {
			fontSize : '20dp'
		},
		width : '100%',
		top : 0,
		height : '42dp',
		textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,
		backgroundImage : '/images/topbar_plane.png',
		backgroundColor : "blue"
	});
	self.add(homeHeaderTitle);

	var headerView = Titanium.UI.createView({
		width : '100%',
		height : '42dp',
		backgroundColor : "black",
		backgroundImage : '/images/topbar_plane.png',
		top : "0%",
	});

	//self.add(headerView);

	var backButton = Titanium.UI.createButton({

		left : "2dp",
		center : true,
		height : '30dp',
		width : "57dp",
		backgroundImage : '/images/home_btn.png',
		top : "5dp",

	});
	self.add(backButton);

	backButton.addEventListener('click', function(e) {
		self.close();
	});

	var semTable = Ti.UI.createTableView({
		left : 0,
		top : '50dp',
		height : '90%',
		backgroundColor : 'transparent'
	});
	// Add to the parent view.
	self.add(semTable);
	semTable.hide();
	createRow(subjectArray.length);

	function createRow(passedCount) {
		for (var i = 0; i < passedCount; i++) {
			//---------------custom row-------------
			var row = Titanium.UI.createTableViewRow({
				height : '50dp',

			});

			var titleLbl = Titanium.UI.createLabel({
				text : subjectArray[i],
				font : {
					fontSize : '16dp'
				},
				textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT,
				color : 'black',
				top : '5dp',
				left : '20dp',
				width : "70%"
			});
			row.add(titleLbl);

			var titleLblbelow = Titanium.UI.createLabel({
				text : tempSemArraynew[i],
				font : {
					fontSize : '16dp'
				},
				textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT,
				color : 'black',
				bottom : '5dp',
				left : '20dp',
				width : "70%"
			});
			row.add(titleLblbelow);

			var arrowButton = Ti.UI.createButton({
				width : '13dp',
				height : '21dp',
				center : true,
				right : '2%',
				backgroundImage : '/images/list_arrowlarge.png',
			});
			row.add(arrowButton);
			data.push(row);

		}
		semTable.setData(data);
		semTable.show();
	}

	//************************************table click event*******************

	semTable.addEventListener('click', function(e) {
		//alert("got click event");
		semTable.hide();
		var subjectRowID = e.index;
		self.setBackgroundColor('white');

		//*****************getting a question dictionary of this subject**************************
		var fileName = subjectArray[subjectRowID] + '.json';
		Titanium.API.info(fileName);
		var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, fileName);
		if (file.exists()) {
			//alert('exist');
			var filedata = (file.read().text);
			QuestionDictionary = JSON.parse(filedata);
			//alert(QuestionDictionary.length);
		}

		//*****************opening new wndow subject detail**************************
		var SubjectDetailWIndow = require('ui/common/Home/SubjectlistDetailOfEachCourse');

		var windowObj = new SubjectDetailWIndow(subjectArray[subjectRowID], QuestionDictionary);
		//passing subject name and question dictioanry
		windowObj.addEventListener('close', function() {
			getResult();
			data = [];
			semTable.setData(data);
			createRow(subjectArray.length);

		});
		windowObj.open();

		return;

	});

	return self;
};

module.exports = SubjectListView;
